Package tigase.cluster.strategy

# Class ConnectionRecord

java.lang.Object
tigase.cluster.strategy.ConnectionRecord

All Implemented Interfaces:
  `Comparable<ConnectionRecord>`, `ConnectionRecordIfc`

public class ConnectionRecord extends Object implements ConnectionRecordIfc, Comparable<ConnectionRecord>

Author:
  Artur Hefczyc Created Mar 15, 2011

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConnectionRecord()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(ConnectionRecord rec)`
  `boolean`
  `equals(Object rec)`
  `JID`
  `getConnectionId()`
  `JID`
  `getNode()`
  `String`
  `getSessionId()`
  `JID`
  `getUserJid()`
  `int`
  `hashCode()`
  `void`
  `setConnectionId(JID connectionId)`
  `void`
  `setElement(Element elem)`
  `void`
  `setRecordFields(JID node, JID userJid, String sessionId, JID connectionId)`
  `Element`
  `toElement()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ConnectionRecord

    public ConnectionRecord()

- ## Method Details

  - ### compareTo

    public int compareTo(ConnectionRecord rec)
    Specified by:
      `compareTo` in interface `Comparable<ConnectionRecord>`

  - ### equals

    public boolean equals(Object rec)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toElement

    public Element toElement()
    Specified by:
      `toElement` in interface `ConnectionRecordIfc`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getConnectionId

    public JID getConnectionId()
    Specified by:
      `getConnectionId` in interface `ConnectionRecordIfc`

  - ### setConnectionId

    public void setConnectionId(JID connectionId)

  - ### getNode

    public JID getNode()
    Specified by:
      `getNode` in interface `ConnectionRecordIfc`

  - ### getSessionId

    public String getSessionId()
    Specified by:
      `getSessionId` in interface `ConnectionRecordIfc`

  - ### getUserJid

    public JID getUserJid()
    Specified by:
      `getUserJid` in interface `ConnectionRecordIfc`

  - ### setElement

    public void setElement(Element elem)
    Specified by:
      `setElement` in interface `ConnectionRecordIfc`

  - ### setRecordFields

    public void setRecordFields(JID node, JID userJid, String sessionId, JID connectionId)
    Specified by:
      `setRecordFields` in interface `ConnectionRecordIfc`